[Scipy-tickets] [SciPy] #1692: Scipy 0.11.0b1 - Not compiling on PPC 64 bit - umfpack error

SciPy Trac scipy-tickets@scipy....
Mon Jul 16 11:58:09 CDT 2012


#1692: Scipy 0.11.0b1 - Not compiling on PPC 64 bit - umfpack error
--------------------------+-------------------------------------------------
 Reporter:  mccullyd      |       Owner:  cdavid
     Type:  defect        |      Status:  new   
 Priority:  normal        |   Milestone:  0.11.0
Component:  Build issues  |     Version:  0.10.0
 Keywords:                |  
--------------------------+-------------------------------------------------

Comment(by rgommers):

 Umfpack is an optional dependency of scipy that I think most users don't
 build against. It may be an issue related to the umfpack version (which
 one are you using, and how did you install it?).  It should have been
 tested enough on linux-ppc64 though that it doesn't always fail.

 It would also be good to check that compiling without using umfpack works.
 Probably you enabled it in site.cfg and you can just disable it there.
 Otherwise hardcoding {{{umf_info = False}}} on line 12 of
 scipy/sparse/linalg/dsolve/umfpack/setup.py should do the job.

-- 
Ticket URL: <http://projects.scipy.org/scipy/ticket/1692#comment:3>
SciPy <http://www.scipy.org>
SciPy is open-source software for mathematics, science, and engineering.


More information about the Scipy-tickets mailing list